import cdsapi

c = cdsapi.Client()

for year in range(1993,2020):

    if year < 2017: 
        type_seasonal = 'hindcast'
    else:
        type_seasonal = 'forecast'

    c.retrieve(
        'seasonal-monthly-pressure-levels',
        {
            'originating_centre':'ecmwf',
            'system':'5',
            'variable':'temperature',
            'pressure_level':[
                '10','30','50',
                '100','200','300',
                '400','500','700',
                '850','925'
            ],
            'product_type':'monthly_mean',
            'year':str(year),
            'month':'01',
            'leadtime_month':'1',
            'format':'grib'
        },
        '../archives/prioritary/100_seas_for-monthly-mean-Plvls-'+type_seasonal+'-temperature-'+str(year)+'.grib')